NPM commands

npm update

npm outdated

{"name": "test-package","version": "1.0.0","dependencies": {"lodash": "~4.15.2","express": "^4.17.2"
}
}
Package  Current  Wanted   Latest  Location
express MISSING 4.17.2 4.17.2 test-package
lodash MISSING 4.16.6 4.17.21 test-package

npm show <dependency name> versions

npm show <dependency name> version

npm install <dependency name>@latest or version number

--

--

--

I am a software developer, who is easily intrigued by anything tech and is always thriving to make software development more inclusive and empathetic.

Love podcasts or audiobooks? Learn on the go with our new app.

Recommended from Medium

Fluent UI in Vue: Vuent

JavaScript Const vs. Var vs. Let: A Comprehensive Guide for All Time

Load local assets in React Native

react native load local assets

What is JavaScript?

React Component Lifecycle

How to automate Shadow DOM & Nested Shadow DOM elements in selenium?

Introduction to APP_INITIALIZER DI Token

A Detailed Guide to Securing React applications with Keycloak

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store
Ayesha M

Ayesha M

I am a software developer, who is easily intrigued by anything tech and is always thriving to make software development more inclusive and empathetic.

More from Medium

Up and Running with MongoDB

Crafting paginated API with NodeJS and MSSQL

Minima NodeJS — with examples

Proxies in Javascript simplified